curl --request PATCH \
--url https://api.contracting.kukkingu.software/api/v1/time-entries/{timeEntryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"date": "2023-10-05",
"description": "Implemented authentication flow.",
"durationSeconds": 3600,
"referenceSource": "JIRA",
"referenceId": "PROJ-123",
"billableId": "bil_eym9hcqlh1m7v3d36blf0vfx"
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/time-entries/{timeEntryId}"
payload = {
"date": "2023-10-05",
"description": "Implemented authentication flow.",
"durationSeconds": 3600,
"referenceSource": "JIRA",
"referenceId": "PROJ-123",
"billableId": "bil_eym9hcqlh1m7v3d36blf0vfx"
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
date: '2023-10-05',
description: 'Implemented authentication flow.',
durationSeconds: 3600,
referenceSource: 'JIRA',
referenceId: 'PROJ-123',
billableId: 'bil_eym9hcqlh1m7v3d36blf0vfx'
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/time-entries/{timeEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tsh_8f4d4gk1p9h2x0s7v3n5c1a9",
"project": "prj_8f4d4gk1p9h2x0s7v3n5c1a9",
"billable": "bil_eym9hcqlh1m7v3d36blf0vfx",
"date": "2023-10-05",
"durationSeconds": 3600,
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"userId": "usr_dt6vljbe6dy0rspxbenflryz",
"description": "Implemented authentication flow.",
"referenceSource": "JIRA",
"referenceId": "PROJ-123"
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Partially update time entry
Partially updates a time entry by its ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
"tnt_pfh0haxfpzowht3oi213cqos"
Path Parameters
Unique identifier of the time entry.
"tsh_8f4d4gk1p9h2x0s7v3n5c1a9"
Body
Request body used to partially update an existing time entry resource.
Request body used to partially update an existing time entry resource.
Date when the time entry was recorded.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$"2023-10-05"
Optional description of the time entry.
1024"Implemented authentication flow."
Duration of the time entry in seconds.
x <= 90071992547409913600
External source of the time entry reference.
255"JIRA"
External reference identifier for the time entry.
255"PROJ-123"
Unique identifier of the billable.
"bil_eym9hcqlh1m7v3d36blf0vfx"
Response
Default Response
Standard success response payload wrapped in a data property.
Time entry resource returned by the API.
Show child attributes
Show child attributes